Subject: bug#1187: 23.0.60; Cannot read vline.el - invalid read syntax

From: "Drew Adams" <[email-masked]>
Date: Fri, 17 Oct 2008 07:40:16 -0700

> > The following sequence of events works for me in
> > 
> > GNU Emacs 23.0.60.4 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll
> > bars) of 2008-10-07 on lamacq.ph.ed.ac.uk
> > 
> > $ wget http://www.emacswiki.org/cgi-bin/emacs/download/vline.el \
> > -O /tmp/vline.el
> > 
> > $ LANG=C emacs -Q --eval '(load-file "/tmp/vline.el")'
> > LANG=C so that current-language-environment is "ASCII"
> > and default-buffer-file-coding-system is nil.
> > 
> > Successfully prints:
> > Loading /tmp/vline.el (source)...done
> 
> For me, the file vline.el downloaded from the above address loads
> successfully even without setting LANG to "C".  Just a simple "C-x
> C-f" works and doesn't throw any errors.
> 
> Either the version of vline.el Drew used is different, or something
> else is at work here.  Drew, are you using the patched EmacsW32 binary
> produced by Lennart?  If so, perhaps it's something that is being
> triggered by the patches.  Or maybe something in Drew's .emacs
> customizations?

No, I'm not using Lennart's patched binary; I'm using his vanilla binary. But
it's possible I saved or modified the file somehow - I don't recall. But that
should be irrelevant for the bug report - it doesn't matter if the file I sent
is the original vline.el or something else. What matters is that I opened it
using emacs -Q with a vanilla Emacs binary - no customizations, nothing else
loaded, nada.